
Foreman - Feature #24

Generate via templating systeme pxelinux.cfg entry

09/19/2009 09:12 PM - p li

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: TFTP   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reading the unattended installation chapter,

http://theforeman.org/wiki/foreman/Unattended_installations#How-does-Foreman-manages-TFTP

It would be possible to generate predefined syslinux(pxelinux) boot file, based on

information in operatingsystem, and adding the following key/value

kernel

initrd

append

Related issues:

Blocked by Foreman - Feature #177: Add an Operatingsystem Family concept Closed 03/11/2010

Associated revisions

Revision 0f77c7f2 - 10/24/2010 01:12 PM - Ohad Levy

Fixes #178 and Fixes #24 - Automate populating the TFTP directory

This implementation is only for the Red Hat family, other OS's should follow

It implements a way to query foreman and gets the required boot files (i.e. kernel and initrd) files

from a predefine media over JSON.

it also provides a syslinux pxe configuration file based on those values and potentially other settings define via foreman.

History

#1 - 09/20/2009 03:52 AM - Ohad Levy

I've been playing around with the ideas about how would it be best to automate the tftp infrastructure, for sure, what you are requesting is vital if you

want to be able to specify kernel parameters per host (for the pxe boot phase).

One option that I'm looking into is using gpxelinux instead of pxelinux, gpxelinux supports HTTP, so that would mean I could fetch the syslinux

configuration on the fly via HTTP instead of creating them.

another benefit is that you use the HTTP protocol, is reliability and performance which is much more suitable for large installations / high latency

setups.

you can see some examples here: http://theforeman.org/blogs/show/1.

would appreciate any feedback

Ohad

#2 - 09/20/2009 09:21 AM - p li

ohadlevy wrote:

I've been playing around with the ideas about how would it be best to automate the tftp infrastructure, for sure, what you are requesting is vital if

you want to be able to specify kernel parameters per host (for the pxe boot phase).

One option that I'm looking into is using gpxelinux instead of pxelinux, gpxelinux supports HTTP, so that would mean I could fetch the syslinux

configuration on the fly via HTTP instead of creating them.

another benefit is that you use the HTTP protocol, is reliability and performance which is much more suitable for large installations / high latency
http://theforeman.org/wiki/foreman/Unattended_installations#How-does-Foreman-manages-TFTP
setups.

you can see some examples here: http://theforeman.org/blogs/show/1.

would appreciate any feedback

Ohad

 Yes, you are right, gpxe is very interesting, and avoid the use of the poor TFTP protocol.

Gpxe support script, menu, and is over HTTP.

You can generate gpxe entry, the same as preseed or kickstart template

The link is not accessible, you mean http://theforeman.org/blogs/index/3 ?

#3 - 09/20/2009 10:34 AM - Ohad Levy

pli wrote:

Yes, you are right, gpxe is very interesting, and avoid the use of the poor TFTP protocol.

Gpxe support script, menu, and is over HTTP.

You can generate gpxe entry, the same as preseed or kickstart template

 I've already done that on a test branch, however I've found out that the fallback to boot from local disk (or next bios device) is not working as reliably

as pxelinux

(see http://syslinux.zytor.com/archives/2009-September/013235.html for full description)

The link is not accessible, you mean http://theforeman.org/blogs/index/3 ?

 yeah, I guess you needed more permissions for the other link (which is for editing the blog entry..)

#4 - 11/05/2009 01:26 PM - Ohad Levy

- Target version set to 0.3

#5 - 11/05/2009 01:26 PM - Ohad Levy

- Category set to TFTP

- Assignee set to Ohad Levy

#6 - 10/24/2010 01:10 PM - Ohad Levy

- Target version changed from 0.3 to 0.1-6

#7 - 10/24/2010 01:56 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 0f77c7f285a0bb37e267e9206b699d7c245782f9.

#8 - 10/24/2010 01:59 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
